#!/bin/sh
#
# @package      hubzero-submit-distributor
# @file         Scripts/boinc/killbatchjob.sh
# @copyright    Copyright 2017-2018 The Regents of the University of California.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2017-2018 The Regents of the University of California
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#
if [ $# -ne 2 ] ; then
   echo usage: $0 jobId jobClass
   exit 64
fi

jobId=$1
jobClass=$2

binDirectory=$(readlink -f $(dirname $0))

case ${jobClass} in
   BOINC)
      ${binDirectory}/abortBatch.py ${jobId}
      exitStatus=$?
      ;;
   *)
      echo "Invalid job class ${jobClass}"
      exitStatus=23
      ;;
esac

exit ${exitStatus}
