#
# @package      hubzero-submit-distributor
# @file         Scripts/tapis/AppDefinitions/generic_serial_wrapper.sh
# @copyright    Copyright 2004-2022 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2004-2022 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

localJobId=${localJobId}
instanceId=${instanceId}
tarballInput=${tarballInput}
tarballInputTimeTransferred=${tarballInputTimeTransferred}

export DISPLAY=
for xdgenv in $(printenv | grep ^XDG_ | sed -e "s:=.*::") ; do
   unset ${xdgenv}
done

tar xf ${tarballInput}
tar xf ${tarballInputTimeTransferred}

rm -f ${tarballInput}
rm -f ${tarballInputTimeTransferred}

find . -type f -not -name md5sums.start -exec md5sum {} \; > md5sums.start

. ${localJobId}_${instanceId}.slurm

